Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlStruct

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlStruct

public interface idlStruct
extends idlObject

This class is implemented by all IDL objects that represent a IDL struct.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`idlStruct` | `description()` Return the struct description ( if forwarded )
`boolean` | `isForward()` Return TRUE is this struct is forward
`java.util.Enumeration` | `members()` Return all members of this structure.

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isForward

    public boolean isForward()

  Return TRUE is this struct is forward

### description

    public idlStruct description()

  Return the struct description ( if forwarded )

### members

    public java.util.Enumeration members()

  Return all members of this structure. The 'content' operation return internal descriptions.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD